Issue 121857 - Presentation Minimizer: optimized presentation is saved with wrong extension
Presentation Minimizer: optimized presentation is saved with wrong extension
Status: RESOLVED FIXED
Product: Impress
Classification: Application
Component: code
3.4.1
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Ariel Constenla-Haile
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-06 12:40 UTC by Ariel Constenla-Haile
Modified: 2013-04-12 00:42 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2013-03-06 12:40:41 UTC
Run the presentation minimizer on a presentation.
Select to apply the changes on a new presentation.
You'll be prompted for a location and file name to save the new presentation:

- select a folder where you already have ODP files
- choose ODP as filter
- first bug: the file picker does not show other ODP files in the same folder
- press OK to save the new presentation
- the new presentation is created with a wrong extension:
* if you selected ODP, the file is named <file_name>.p
* if you selected PPT, the file is named <file_name>.t

The first two letters of the file extension are missing.
Comment 1 Ariel Constenla-Haile 2013-03-06 12:48:39 UTC
The bug is due to the way filters are added to the file picker:

css::ui::dialogs::XFilterManager::appendFilter( UI Name, filter)

The presentation minimizer adds only the extension (odp, ppt, etc.) in the filter, but the filter must be in the form "*.<etension>".

Thus, if filter is only "odp", the file picker implementation removes two chars, corresponding to "*.", it removes "od" and leaves "p".

This bug has to be fixed in the file picker implementation (do not assume that the two first chars of the filter are "*.") and in the Presentation Minimizer (append the filter in the form "*.<extension>".
Comment 2 Ariel Constenla-Haile 2013-03-06 13:04:11 UTC
Another bug while setting the filter:

the filter type in the file picker displays only the UI Name, while in the office the implementation shows "UIName (.<extension)".
For example:

- OpenOffice file picker: "ODF Presentation (.odp)"
- Presentation Minimizer: "ODF Presentation"

The presentation minimizer should use the same schema when forming the filter title.
Comment 3 SVN Robot 2013-03-06 13:15:24 UTC
"arielch" committed SVN revision 1453321 into trunk:
i121857 - Presentation Minimizer: fix filter naming
Comment 4 Ariel Constenla-Haile 2013-03-06 13:17:41 UTC
Fixed on trunk
Comment 5 Javier Lopez 2013-04-11 23:28:11 UTC
Hello.
I was checking this bug but I can't see it. I followed the steps, the files saved with the extension ODP or PPT are conserving the same format. 
Revised in W7 64 BITS AOO 3.4.1
Comment 6 Ariel Constenla-Haile 2013-04-12 00:42:10 UTC
(In reply to comment #5)
> Hello.
> I was checking this bug but I can't see it. I followed the steps, the files
> saved with the extension ODP or PPT are conserving the same format. 
> Revised in W7 64 BITS AOO 3.4.1

Check "Tools" - "Options..." - "OpenOffice.org" - "General" - "Open/Save dialogs" - "User OpenOffice.org dialogs"